Subject: bug#32825: 27.0.50; Deterministic window management

From: martin rudalics <[email-masked]>
Date: Sun, 28 Oct 2018 10:06:51 +0100

> That's now something that display-buffer-alist can't do: keep the
 > default action(s), but specify parameters, like a larger
 > window-min-height.  I mean, there is no way to change that value unless
 > you around-advice the whole function.

The caller of 'display-buffer' could bind 'window-min-height' to
another value around the call.  But that's a bad idea because it may
override a user customization and because a high value would not allow
a window to be created even if other windows would tolerate the lower
value while a low value would allow other windows to shrink to that
value as well when a new window is created.

Couldn't setting a 'window-height' action alist entry help here?
Maybe with a suitable function?

martin